elftosb::DataTarget Class Referenceabstract

Abstract base class for the target address or range of data. More...

`#include <DataTarget.h>`

Inheritance diagram for elftosb::DataTarget:
[legend]
Collaboration diagram for elftosb::DataTarget:
[legend]

## Classes

struct | AddressRange
| Simple structure that describes an addressed region of memory. More...

## Public Member Functions

| DataTarget ()
| Default constructor.
virtual | ~DataTarget ()
| Destructor.
virtual bool | isBounded ()
| Whether the target is just a single address or has an end to it.
virtual uint32_t | getBeginAddress ()
virtual uint32_t | getEndAddress ()
virtual DataTarget::AddressRange | getRangeForSegment (DataSource &source, DataSource::Segment &segment)=0
| Return the address range for a segment of a data source.
void | setSource (DataSource *source)
DataSource * | getSource () const

## Protected Attributes

DataSource * | m_source
| Corresponding data source for this target.

## Detailed Description

Abstract base class for the target address or range of data.

Targets at the most basic level have a single address, and potentially an address range. Unbounded targets have a beginning address but no specific end address, while bounded targets do have an end address.

Users of a data target can access the begin and end addresses directly. However, the most powerful way to use a target is with the getRangeForSegment() method. This method returns the target address range for a segment of a data source. The value of the resulting range can be completely dependent upon the segment's properties, those of its data source, and the type of data target.

See also
  elftosb::DataSource

## Class Documentation

struct elftosb::DataTarget::AddressRange

Simple structure that describes an addressed region of memory.

Class Members
uint32_t | m_begin |
uint32_t | m_end |

The documentation for this class was generated from the following file:

- apps/elftosb/common/DataTarget.h